import { Construct } from 'constructs';
import { Stack, StackProps } from 'aws-cdk-lib';
export declare type CDKLambdaDeployerProps = {
    githubRepoOwner: string;
    githubRepoName: string;
    githubRepoBranch?: string;
    githubTokenSecretId: string;
};
export declare type CDKLambdaDeployerStackProps = StackProps & CDKLambdaDeployerProps;
export declare class CDKLambdaDeployerStack extends Stack {
    constructor(scope: Construct, id: string, props: CDKLambdaDeployerStackProps);
}
export declare class CDKLambdaDeployerConstruct extends Construct {
    constructor(scope: Construct, id: string, props: CDKLambdaDeployerProps);
}
